<script LANGUAGE=JAVASCRIPT TYPE="text/javascript" >
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

<!--
//
//
//			変更履歴
//				2004.01.08 新規作成 M.seko 
//



//	フォーマットチェック(「xxx@xxx.xxx」)チェック
function _COM_isMail(PsValue){

	//	未入力時はチェックしない
	if (PsValue.length == 0){
		return;
	}

	//	正規表現オブジェクト
	var objRegExp = new RegExp(".+@.+\\..+");
	if (objRegExp.test(PsValue) == false){
		return "は「xxx@xxx.xxx」形式で入力してください。";
	}
}
//	文字種チェック(半角英数字のみ)
function _COM_isNumAlpha(PsValue){

	//	正規表現オブジェクト
	var objRegExp = new RegExp("^[a-zA-Z0-9]+$");

	if (objRegExp.test(PsValue) == false){
		return "は半角英数字で入力してください。";
	} 
}
//全角文字チェック
function isZen(strCheck){

	var i;
	var strHanKana="｡｢｣､･ｦｧｨｩｪｫｬｭｮｯｰｱｲｳｴｵｶｷｸｹｺｻｼｽｾｿﾀﾁﾂﾃﾄﾅﾆﾇﾈﾉﾊﾋﾌﾍﾎﾏﾐﾑﾒﾓﾔﾕﾖﾗﾘﾙﾚﾛﾜﾝﾞﾟ";

	//1文字ずつチェックする
	for(i=0; i < strCheck.length; i++)
	{
		//全角文字であればlengthが４以上となる。
		//（半角カタカナも全角扱いされるためlengthは４以上となる）
		if(escape(strCheck.charAt(i)).length >= 4)
		{
			//半角カタカナ以外の場合
			if (strHanKana.indexOf(strCheck.charAt(i)) == -1 )
			{
				return "に全角文字が含まれています。";
			}
		}
	}
}

function checkKatakana(furigana){
	mojiretsu = furigana.value
	for(i=0; i<mojiretsu.length; i++){
		if(mojiretsu.charAt(i) < 'ァ' || mojiretsu.charAt(i) > 'ヶ'){
			// 全角カタカナ以外
			return "に全角カタカナ以外の文字が含まれています。";
		}
	}
	// 全角カタカナ
	return;
}

//-->

</script>
